<template>
  <div class="kit view page">
    <div class="container">
      <div class="line breadcrumb">
        <breadcrumb :breadcrumbs="breadcrumbs"/>
      </div>
      <div class="top">
        <div class="left">
          <h1 class="heading title">Схема работы Автоконсьержа</h1>
          <h2 class="heading subtitle">Приводим только реальных клиентов!</h2>
        </div>
        <flink
          href="/partner"
          @click.native="$ym('scheme_wannabe_partner')"
          class="ui button yellow desktopshow">
          Хочу стать партнером!
        </flink>
      </div>
      <div class="list">
        <div class="item">
          <div class="number">1</div>
          <h3 class="heading title">Контакт с клиентом</h3>
          <div class="text">Наш оператор подробно выясняет, в чем заключается проблема клиента</div>
          <img
            class="img"
            src="~assets/images/scheme-1.svg"
            alt="">
        </div>
        <div class="item">
          <div class="number">2</div>
          <h3 class="heading title">Поиск исполнителя</h3>
          <div class="text">Затем оператор находит подходящего исполнителя услуги или продавца товара</div>
          <img
            class="img"
            src="~assets/images/scheme-2.svg"
            alt="">
        </div>
        <div class="item">
          <div class="number">3</div>
          <h3 class="heading title">Направление клиента к исполнителю</h3>
          <div class="text">После этого оператор дает клиенту контакты исполнителя и промокод на товар или услугу</div>
          <img
            class="img"
            src="~assets/images/scheme-3.svg"
            alt="">
        </div>
        <div class="item">
          <div class="number">4</div>
          <h3 class="heading title">Информирование исполнителя о клиенте</h3>
          <div class="text">Затем оператор сообщает исполнителю данные о клиенте, его заказе и промокоде</div>
          <img
            class="img"
            src="~assets/images/scheme-4.svg"
            alt="">
        </div>
        <div class="item">
          <div class="number">5</div>
          <h3 class="heading title">Проверка исполнения заказа</h3>
          <div class="text">
            Позже оператор узнает у клиента, выполнен ли заказ и доволен ли&nbsp;он работой исполнителя</div>
          <img
            class="img"
            src="~assets/images/scheme-5.svg"
            alt="">
        </div>
        <div class="item">
          <div class="number">6</div>
          <h3 class="heading title">Оплата наших услуг</h3>
          <div class="text">
            Если сделка состоялась, исполнитель&nbsp;оплачивает&nbsp;комиссию за привлечение клиента</div>
          <img
            class="img"
            src="~assets/images/scheme-6.svg"
            alt="">
        </div>
      </div>
      <flink
        href="/partner"
        class="ui button yellow mobilshow">
        Хочу стать партнером!
      </flink>
    </div>
  </div>
</template>

<script>
import Breadcrumb from '~/components/redesign/app-breadcrumbs';

export default {
  components: {
    Breadcrumb,
  },
  data() {
    return {
      breadcrumbs: [
        {
          url: '/partner',
          name: 'Стать партнером',
        },
        {
          url: '',
          name: 'Схема взаимодействия',
        },
      ],
    };
  },
  computed: {
    pageDescription() {
      return 'Как работает Автоконсьерж GisAuto для партнеров. 6 простых этапов работы автоконсьержа'
        + 'или как получать больше реальных клиентов. Хотите стать партнером - оставьте заявку'
        + 'на сайте и уже скоро кол-во реальных клиентов станет расти.';
    },
  },
  head() {
    const meta = [
      { hid: 'og:title', name: 'og:title', content: 'Схема работы Автоконсьержа' },
      { hid: 'og:site_name', name: 'og:site_name', content: 'Автоконсьерж GisAuto сделает всё за вас!' },
      { hid: 'description', name: 'description', content: this.pageDescription },
      { hid: 'og:url', name: 'og:url', content: `https://${this.$config.domains.main}${this.$route.path}` },
      { hid: 'og:description', name: 'og:description', content: this.pageDescription },
    ];

    return {
      title: 'Схема работы Автоконсьержа',
      meta,
      link: [
        { hid: 'canonical', rel: 'canonical', href: `https://${this.$config.domains.helper}${this.$route.path}` },
      ],
    };
  },
};
</script>

<style scoped lang="scss">
  .line.breadcrumb {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: stretch;
    flex: 0 1 auto;
    margin: 0;
    width: 100%;
    min-height: 1rem;
    padding-top: 1rem;
    background-color: #fff;
    @media only screen and (max-width: 980px) {
      display: none !important;
    }
  }
  .kit.view.page {
    display: flex;
    flex-grow: 1;
    @media only screen and (max-width: 980px) {
      padding: 0 1rem 3rem;
      margin: -1.5rem 0;

      .desktopshow {
        display: none;
      }
      .mobilshow {
        display: flex;
      }
    }
    @media only screen and (min-width: 981px) {
      padding: 0;
      margin: 0;
      background-color: #e2e2e2;

      .desktopshow {
        display: flex;
      }
      .mobilshow {
        display: none;
      }
    }

    > .container {
      display: flex;
      flex-flow: column nowrap;
      margin: 0 auto;
      background-color: #fff;

      @media only screen and (max-width: 980px) {
        width: 100%;
      }
      @media only screen and (min-width: 981px) {
        width: 64rem;
        padding: 0 1.875rem;
      }
      .ui.button {
        @media only screen and (min-width: 981px) {
          min-height: 3.4375rem;
          font-size: 1.3125rem;
          line-height: 2.45rem;
        }
        @media only screen and (max-width: 980px) {
          width: 100%;
          max-width: 23.75rem;
          margin: -3rem auto 0;
        }
      }

      > .top {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
        margin-top: 2.5rem;
        @media only screen and (max-width: 980px) {
          margin-top: 1.5rem;
        }
        .title {
          display: block;
          margin: 0;
          padding: 0;
          font-weight: 500;
          line-height: 1.2;
          color: currentColor;
          @media only screen and (max-width: 980px) {
            font-size: 1.6875rem;
            padding-top: 2.125rem;
          }
          @media only screen and (min-width: 981px) {
            font-size: 2.125rem;
          }
        }
        .subtitle {
          display: block;
          margin-bottom: 0;
          margin-top: 0;
          font-size: 1.25rem;
          font-weight: 400;
          @media only screen and (max-width: 980px) {
            font-size: 0.9375rem;
            padding-top: 2rem;
            padding-bottom: 1rem;
          }
        }
      }
      .list {
        display: flex;
        justify-content: center;
        align-items: stretch;
        flex-flow: row wrap;
        @media only screen and (max-width: 980px) {
          padding-top: 3rem;
          margin: 0 -0.75rem;
        }
        @media only screen and (min-width: 981px) {
          padding-top: 3rem;
          margin: 0 -1.5625rem;
        }
        .item {
          display: inline-flex;
          flex-flow: column nowrap;
          justify-content: flex-start;
          align-items: center;
          background-color: rgba(74, 125, 180, 0.05);
          border: 1px solid #4A7DB4;
          border-radius: 0.1875rem;
          color: currentColor;
          text-align: center;
          @media only screen and (max-width: 980px) {
            padding: 0 1rem 3rem;
            width: 100%;
            max-width: 22rem;
            margin: 0 0.75rem 4.875rem;

          }
          @media only screen and (min-width: 981px) {
            width: 16.5rem;
            margin: 0 1.5625rem 2.75rem;
            min-height: 17.5rem;
            padding: 0 1.25rem 1.25rem;
          }

          > .number {
            order: 0;
            display: inline-flex;
            justify-content: center;
            align-items: center;
            border-radius: 50%;
            background-color: #4A7DB4;
            color: #FFFDF9;
            @media only screen and (max-width: 980px) {
              width: 4.5rem;
              height: 4.5rem;
              margin-top: -2.25rem;
              font-size: 2.5rem;
            }
            @media only screen and (min-width: 981px) {
              width: 3.375rem;
              height: 3.375rem;
              margin-top: -1.6875rem;
              font-size: 1.75rem;
            }
          }
          > .title {
            order: 2;
            display: block;
            margin: auto 0 0;
            font-weight: 700;
            line-height: 1.3;
            @media only screen and (max-width: 980px) {
              font-size: 1.5rem;
              padding-top: 1.5rem;
            }
            @media only screen and (min-width: 981px) {
              font-size: 1.125rem;
              padding-top: 0.5rem;
            }
          }
          > .text {
            order: 3;
            display: block;
            padding-top: 1rem;
            line-height: 1.5;
            @media only screen and (max-width: 980px) {
              font-size: 1rem;
            }
            @media only screen and (min-width: 981px) {
              font-size: 0.8125rem;
            }
          }
          .img {
            order: 1;
            display: block;
            margin: 1rem auto 0;
            transform: scale(0.875);
            @media only screen and (max-width: 980px) {
              display: none;
            }
          }
        }
      }
    }
  }
</style>
